{뢮 ᮢ}
unit l_clock;

interface

{procedure viewclock; interrupt;}

implementation

uses dos, l_scr;

var
     int28h              : procedure;
     saveexitproc        : pointer;
     int28ptr            : pointer absolute int28h;

{$f+}

     procedure viewclock; interrupt;
     var
          times               : string[10];
          i                   : byte;
          buff                : string[3];
          hour, min,
          sec, sec100         : word;
          base                : word;
     begin
          times := '';
          gettime(hour, min, sec, sec100);
          str(hour, buff);
          if hour < 10 then buff:='0'+buff;
          times := times+buff+':';
          str(min, buff);
          if min < 10 then buff:='0'+buff;
          times := times+buff+':';
          str(sec, buff);
          if sec < 10 then buff:='0'+buff;
          times := times+buff+'.';
          sec100:=sec100 div 10;
          str(sec100, buff);
          times := times+buff;
          base := maxcol^-11;
          for i := 1 to 10 do screen^[base+i].sym := times[i];
          asm pushf end;
          int28h;
     end;

     procedure clockexit; far;
     begin
          exitproc := saveexitproc;
          setintvec($28, int28ptr);
     end;

begin
     saveexitproc := exitproc;
     getintvec($28, int28ptr);
     setintvec($28, @viewclock);
     exitproc:=@clockexit;
end.
